import React from "react";
import { SensitiveInfoProvider } from "../providers";
import { UserPermissionsProvider } from "../units/permissions";
import AppLayout from "./layout/AppLayout";

const App = () => {
  return (
    <UserPermissionsProvider>
      <SensitiveInfoProvider>
        <AppLayout />
      </SensitiveInfoProvider>
    </UserPermissionsProvider>
  );
};

export default App;
