import { defineConfig } from "vite";
import react from "@vitejs/plugin-react";
import viteTsconfigPaths from "vite-tsconfig-paths";
import eslintPlugin from "vite-plugin-eslint";
import checker from "vite-plugin-checker";

export default defineConfig({
  // depending on your application, base can also be "/"
  base: "/",
  plugins: [
    react({
      jsxImportSource: "@emotion/react",
      babel: {
        plugins: ["@emotion/babel-plugin"]
      }
    }),
    viteTsconfigPaths(),
    eslintPlugin({
      cache: false
    }),
    checker({ typescript: true })
  ],
  server: {
    open: true,
    port: 3000
  },
  build: {
    outDir: "build"
  }
});
